Skip to main content
GET
/
organization
/
{organizationId}
/
helmRepository
/
{helmRepositoryId}
/
charts
List helm charts contained inside the repository
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/helmRepository/{helmRepositoryId}/charts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "chart_name": "<string>",
      "versions": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

helmRepositoryId
string<uuid>
required

Helm chart repository ID

Query Parameters

chartName
string

Helm chart name to filter the result on

Response

The helm repository versions

results
object[]